package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussOfficialActivity;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussOfficialActivityMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussOfficialActivity record);

    int insertSelective(TbPlussOfficialActivity record);

    TbPlussOfficialActivity selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussOfficialActivity record);

    int updateByPrimaryKeyWithBLOBs(TbPlussOfficialActivity record);

    int updateByPrimaryKey(TbPlussOfficialActivity record);
}